Ptex: PtexDict< T >::value_type Struct Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
PtexDict< T >::value_type Struct Reference

Internal class used to provide a return value for the value type. More...

`#include <PtexDict.h>`

## Public Member Functions
| value_type ()
| Default constructor references default_value, with a 0 for first. More...
| value_type (key_type f, const T &s)
| Creation constructor. More...

## Public Attributes
const key_type | first
| Reference to the key type. More...
T | second
| Reference to the data. More...

## Detailed Description

### template<class T>
struct PtexDict< T >::value_type

Internal class used to provide a return value for the value type.

All data members and member functions are declared public by design Default Copy and Assignment operators are sufficient..

We have decided NOT to follow the coding standard's naming comvention for this class, since it needed to remain compatible with the STL std::pair<> class.

Author
  brentb
  longson

Version
  1.0 brentb 11/01/2000: Initial version
  1.1 longson 06/26/2001: Added file and class comment headers

Definition at line 124 of file PtexDict.h.

## Constructor & Destructor Documentation

template<class T>

PtexDict< T >::value_type::value_type | ( |  | ) |
| inline

Default constructor references default_value, with a 0 for first.

Definition at line 127 of file PtexDict.h.

template<class T>

PtexDict< T >::value_type::value_type | ( | key_type | f,
|  | const T & | s
| ) |  |
| inline

Creation constructor.

Definition at line 129 of file PtexDict.h.

## Member Data Documentation

template<class T>

const key_type PtexDict< T >::value_type::first

Reference to the key type.

Definition at line 131 of file PtexDict.h.

template<class T>

T PtexDict< T >::value_type::second

Reference to the data.

Definition at line 132 of file PtexDict.h.

Referenced by PtexDict< T >::operator[]().

The documentation for this struct was generated from the following file:

- PtexDict.h